Subject: [dhcwg] IPv6 prefix delegation extension

From: Andreas Maier <[email-masked]>
Date: Mon, 14 Feb 2005 01:49:28 +0100 (MET)

Dear working group members!

RFC-3633 "IPv6 Prefix Options for DHCPv6" specifies a procedure
for prefix delegation in IPv6. Although not stated explicitly
the approach seams to be limited to one level of delegation.

I think that hierarchical networks (in the sense of tree like
structures with multiple levels and routers at each tree-node)
will become very common. Prefix delegation as of RFC-3633 can
be extended to automatically configure such network architectures.

Major points to consider are subnet splitting, aggregation,
renumbering and revocation for efficient utilisation of address
resources as well as discussing very short delegation lifetimes
in case of "mobile networks".

I would like to develop an extended prefix delegation mechanism for
hierarchical IPv6 network.  Are there ongoing investigations in
this area or is it just a stupid idea?  I would very much appreciate
comments on this idea as well as references to continuative
information or research.

Thank you for your help. Best regards,
-andi

-- 
| Andreas Maier                     University of Salzburg               |
| ([email-masked])             Department of Computing Sciences     |
| Tel. +43/662/8044-6339            Jakob Haringerstr. 2                 |
| Fax. +43/662/8044-611             5020 Salzburg / Austria, Europe      |

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Changming Liu" <[email-masked]>
Date: Mon, 21 Feb 2005 11:05:23 -0800

Andreas,

There are a couple of things I can think of you need to do to support
the hybrid mode:

1) Whenever DHCP PD client learned a prefix from upstream, it needs to
be added to the address pool to the downstream DHCP PD server

2) A route needs to be added to the local routing table so that the
incoming traffic can be routed to the downstream accordingly. This is
especially true if there are multiple downstream DHCP PD servers (due to
either multiple physical interface or tunnels).

Good luck to your project.

Changming

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Andreas Maier
Sent: Monday, February 21, 2005 8:14 AM
To: [email-masked]
Subject: Re: [dhcwg] IPv6 prefix delegation extension

Dear Changming,

I see possible applications due to single level IPv6 networks
becoming multi level in the future. In fact I would like to add
multi level prefix delegation as a major feature of a project I
am working on.

Nevertheless, I can not tell if operators are planing to implement
hierarchical network layouts for their IPv6 networks or not. If so,
they may use PD and there should be a standardised way for it. What
else may be used instead of PD?

An implementation of a hybrid DHCPv6 PD would require to interact
with (stateless) address auto-configuration, router solicitation and
advertisement, routing tables (?), PD requesting (PD client) and PD
delegating (PD server). This involves more subsystems than it should.

The mail from Bernie Volz proposes the use of a relay agent as a
different approach to solve the problem of multi level automatic
configuration. This is very interesting but may not avoid the need
to support independent protocols in an ugly mixture.

Thanks for pointing to DHCPv4. I got the vague feeling that something
similar to (hierarchical) PD is going on there but did not look
into it so far.

Best regards,
-andi

On 02/17/05 21:55:50, Changming Liu wrote:
> Andreas,
> 
> I guess the fundmental question is if there is anyone who is  
> deploying or plan to deploy it this way. If so, the implementation  
> needs to be done first and all issues will surface.
> 
> Although we support DHCPv6 PD both as client and server but we don't
> support the hybrid mode yet because there is no demand so far. But  
> for DHCPv4, we have somewhat similar implementation, one interface is

> DHCP client and another interface is running as server, and  
> information is passed from the client side to the server side. It  
> works quite well.
> 
> Hope this helps.
> 
> CHangming
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On  
> Behalf
> Of Andreas Maier
> Sent: Thursday, February 17, 2005 5:13 AM
> To: dhcwg
> Subject: Re: [dhcwg] IPv6 prefix delegation extension
> 
> Dear Changming,
> 
> I also think that the current DHCP-PD spec is sufficient and that a
> hybrid mode DHCPv6 server/client implementation may do the trick.
> Unfortunately no such implementation seems to exist so I can not test
> it immediately.
> 
> Before starting to code it myself many points are unresolved:
> -) Does a "hierarchical" prefix delegation make sense?
> -) Are there conflicts with the existing prefix delegation?
> -) Is a tree-like network structure a valid assumption?
> -) Is work already done in this field? Are there references?
> -) Are there obvious pitfalls that I do not see?
> -) Is it useful to standardize the operation of the hybrid mode  
> DHCPv6 server?
> 
> I think that the idea of automatically configuring routers in a
> hierarchical network is valid. Thanks for conforming that it should  
> be possible to implement it on top of the existing DHCP-PD without
> modifications to the current DHCP-PD specification. In addition very
> much appreciated would be pointers to research performed in the same
> or
> 
> a similar area.
> 
> Thank you very much. Best regards,
> -andi
> 
> PS: Security is also a major concern but I would like to deal with it
> later.
> 
> --
> | Andreas Maier               Paris-Lodron University of Salzburg   |
> | ([email-masked])       Department of Scientific Computing    |
> | Fax. +43/662/8044-172       5020 Salzburg / Austria, Europe       |
> 

-- 
| Andreas Maier               Paris-Lodron University of Salzburg   |
| ([email-masked])       Department of Scientific Computing    |
| Tel. +43/662/8044-6339      Jakob Haringerstr. 2                  |
| Fax. +43/662/8044-172       5020 Salzburg / Austria, Europe       |